> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Get payout subscription

GET https://api-sandbox.payabli.com/api/PayoutSubscription/{id}

Retrieves a single payout subscription's details. See [Manage payout subscriptions](/guides/pay-out-developer-payout-subscriptions-manage) for more information.

Reference: https://docs.payabli.com/developers/api-reference/payout-subscription/get-payout-subscription

## Servers

- `https://api-sandbox.payabli.com/api` (Sandbox, default)
- `https://api.payabli.com/api` (Production)

## Request

### Path parameters

- `id` (long, required) — The payout subscription ID.

## Response

### 200

Success

- `responseText` (string, required) — Response text for operation: 'Success' or 'Declined'.
- `isSuccess` (boolean, optional) — Boolean indicating whether the operation was successful. A `true` value indicates success. A `false` value indicates failure.
- `responseData` (object, optional) — The payout subscription record.
  - `startDate` (datetime, required, nullable) — The payout subscription start date.
  - `endDate` (datetime, required, nullable) — The payout subscription's end date.
  - `nextDate` (datetime, required, nullable) — The next date the payout subscription will be processed.
  - `lastRun` (datetime, required, nullable) — The last time the payout subscription was processed.
  - `idOutSubscription` (long, optional) — The payout subscription's ID.
  - `status` (integer, optional) — The payout subscription's status. - 0: Paused - 1: Active
  - `events` (list of object, optional) — Events associated with the payout subscription.
    - `description` (string, optional) — Event description.
    - `eventTime` (datetime, optional) — Event timestamp, in UTC.
    - `extraData` (string, optional, nullable) — Extra data.
    - `refData` (string, optional) — Reference data.
    - `source` (string, optional) — The event source.
  - `vendor` (object, optional)
    - `VendorNumber` (string, optional) — Custom number identifying the vendor. Must be unique in paypoint. Can't be blank.
    - `Name1` (string, optional)
    - `Name2` (string, optional, nullable)
    - `EIN` (string, optional, nullable) — Business EIN or tax ID. This value is masked in API responses.
    - `Phone` (string, optional)
    - `Email` (string, optional) — Email address.
    - `RemitEmail` (string, optional, nullable) — Remittance email address. Used for sending virtual cards and other information about payouts.
    - `Address1` (string, optional) — The address.
    - `Address2` (string, optional) — Additional line for the address.
    - `City` (string, optional) — The city.
    - `State` (string, optional) — The state or province.
    - `Zip` (string, optional) — ZIP code for address.
    - `Country` (string, optional)
    - `Mcc` (string, optional) — Business Merchant Category Code (MCC). [This resource](https://github.com/greggles/mcc-codes/blob/main/mcc_codes.csv) lists MCC codes.
    - `LocationCode` (string, optional)
    - `Contacts` (list of object, optional) — Array of objects describing the vendor's contacts.
      - `ContactName` (string, optional) — Contact name.
      - `ContactEmail` (string, optional) — Contact email address.
      - `ContactTitle` (string, optional) — Contact title.
      - `ContactPhone` (string, optional) — Contact phone number.
    - `BillingData` (object, optional)
      - `id` (integer, required) — The bank's ID in Payabli.
      - `nickname` (string, required)
      - `bankName` (string, required) — Name of bank for account.
      - `routingAccount` (string, required) — Routing number of bank account.
      - `accountNumber` (string, required) — Account number for bank account. This value is returned masked in responses.
      - `typeAccount` (enum, required) — Type of bank account: Checking or Savings.
        - Allowed values: `Checking`, `Savings`
      - `bankAccountHolderName` (string, required) — The accountholder's name.
      - `bankAccountHolderType` (enum, required) — Describes whether the bank is a personal or business account.
        - Allowed values: `Personal`, `Business`
      - `bankAccountFunction` (integer, required) — Describes whether the bank account is used for deposits or withdrawals in Payabli: - `0`: Deposit - `1`: Withdrawal - `2`: Deposit and withdrawal
      - `verified` (boolean, required)
      - `status` (integer, required)
      - `services` (list of any, required)
      - `default` (boolean, required)
      - `accountId` (string, optional) — An identifier for the bank account. If not provided during creation or update, the system generates one in the format `acct-{first_digit}xxxxx{last_4_digits}` based on the account number. If a duplicate exists within the same service at the paypoint, a numeric suffix is appended, such as `-2`. This value is also used as the identifier for the bank account's associated payment connector.
    - `PaymentMethod` (string, optional) — The vendor's preferred payment method. Can be one of: - `managed` — Managed payment method - `vcard` — Virtual card payment method - `check` — Check payment method - `ach` — ACH payment method
    - `VendorStatus` (integer, optional) — Vendor's status. Allowed values: - `0` Inactive - `1` Active - `-99` Deleted
    - `VendorId` (integer, optional) — Payabli identifier for vendor record.
    - `EnrollmentStatus` (string, optional) — Enrollment status of vendor in payables program.
    - `Summary` (object, optional)
      - `ActiveBills` (integer, optional)
      - `PendingBills` (integer, optional)
      - `InTransitBills` (integer, optional)
      - `PaidBills` (integer, optional)
      - `OverdueBills` (integer, optional)
      - `ApprovedBills` (integer, optional)
      - `DisapprovedBills` (integer, optional)
      - `TotalBills` (integer, optional)
      - `ActiveBillsAmount` (double, optional)
      - `PendingBillsAmount` (double, optional)
      - `InTransitBillsAmount` (double, optional)
      - `PaidBillsAmount` (double, optional)
      - `OverdueBillsAmount` (double, optional)
      - `ApprovedBillsAmount` (double, optional)
      - `DisapprovedBillsAmount` (double, optional)
      - `TotalBillsAmount` (double, optional)
    - `PaypointLegalname` (string, optional) — Business legal name.
    - `PaypointId` (long, optional, nullable) — The paypoint's ID. This is different from the entryname.
    - `PaypointDbaname` (string, optional) — The alternate or common name that this business is doing business under, usually referred to as a DBA name.
    - `PaypointEntryname` (string, optional) — The entrypoint identifier.
    - `ParentOrgName` (string, optional) — The name of the parent organization.
    - `ParentOrgId` (long, optional) — The ID of the org's parent organization.
    - `CreatedDate` (datetime, optional) — Timestamp of when record was created, in UTC.
    - `LastUpdated` (datetime, optional) — Timestamp of when record was last updated, in UTC.
    - `remitAddress1` (string, optional) — Remittance street address. Used for mailing paper checks. Required if any remittance address field is provided. For a PO Box address, include only the PO Box in this field, for example `PO Box 29652`. Put the rest of the address, such as a department number, in `remitAddress2`.
    - `remitAddress2` (string, optional) — Remittance address additional line, such as a suite or unit number. Used for mailing paper checks. Always optional. For a PO Box address, this field holds the part of the address that follows the PO Box, for example `Dept# 880662`.
    - `remitCity` (string, optional) — Remittance address city. Used for mailing paper checks. Required if any remittance address field is provided.
    - `remitState` (string, optional) — Remittance address state or province. Used for mailing paper checks. Required if any remittance address field is provided. Must be a valid US state or Canadian province abbreviation.
    - `remitZip` (string, optional) — Remittance address ZIP or postal code. Used for mailing paper checks. Required if any remittance address field is provided. For US addresses, use five digits or ZIP+4 format.
    - `remitCountry` (string, optional) — Remittance address country. Used for mailing paper checks. Must be `US` or `CA`. Defaults to `US` if not provided.
    - `payeeName1` (string, optional) — Alternative name used to receive paper check.
    - `payeeName2` (string, optional) — Alternative name used to receive paper check.
    - `customField1` (string, optional)
    - `customField2` (string, optional)
    - `customerVendorAccount` (string, optional)
    - `InternalReferenceId` (long, optional) — An internal reference ID.
    - `PaymentPortalUrl` (string, optional) — URL for the vendor's online payment portal, if known. Populated by the vendor enrichment pipeline.
    - `CardAccepted` (string, optional) — Whether the vendor accepts card payments. Values are `yes`, `no`, or `unable to determine`. Populated by the vendor enrichment pipeline.
    - `AchAccepted` (string, optional) — Whether the vendor accepts ACH payments. Values are `yes`, `no`, or `unable to determine`. Populated by the vendor enrichment pipeline.
    - `CheckAccepted` (string, optional) — Whether the vendor accepts check payments. Values are `yes`, `no`, or `unable to determine`. Populated by the vendor enrichment pipeline.
    - `EnrichmentStatus` (string, optional) — Current enrichment state of the vendor. Values are `not_enriched`, `partially_enriched`, `fully_enriched`, or `fallback_applied`.
    - `EnrichedBy` (string, optional) — Which enrichment method resolved the vendor's payment acceptance info. Values are `invoice_scan`, `web_search`, `vendor_network`, or `manual`.
    - `EnrichedAt` (datetime, optional) — When the vendor was last enriched (UTC).
    - `EnrichmentId` (string, optional) — Identifier for the enrichment request that last updated this vendor.
    - `additionalData` (map from string to string, optional) — Custom dictionary of key:value pairs. You can use this field to store any data related to the object or for your system. If you are using [custom identifiers](/developers/developer-guides/entities-customers), pass those in this object. Max length for a value is 100 characters. ```json { "additionalData": { "key1": "value1", "key2": "value2", "key3": "value3" } } ```
    - `externalPaypointID` (string, optional) — A custom identifier for the paypoint, if applicable.
    - `StoredMethods` (list of object, optional)
      - `IdPmethod` (string, required, nullable)
      - `Method` (string, required, nullable)
      - `Descriptor` (string, required, nullable)
      - `MaskedAccount` (string, required, nullable)
      - `ExpDate` (string, required, nullable)
      - `HolderName` (string, required, nullable)
      - `AchSecCode` (string, required, nullable)
      - `AchHolderType` (string, required, nullable)
      - `IsValidatedACH` (boolean, required, nullable)
      - `BIN` (string, required, nullable)
      - `binData` (object, required, nullable) — Object containing information related to the card. This object is `null` unless the payment method is card. If the payment method is Apple Pay, the binData will be related to the DPAN (device primary account number), not the card connected to Apple Pay.
        - `binMatchedLength` (string, optional) — The number of characters from the beginning of the card number that were matched against a Bank Identification Number (BIN) or the Card Range table.
        - `binCardBrand` (string, optional) — The card brand. For example, Visa, Mastercard, American Express, Discover.
        - `binCardType` (string, optional) — The type of card: `Credit` or `Debit`. Case can vary between processors, so compare this value case-insensitively.
        - `binCardCategory` (string, optional) — The category of the card, which indicates the card product. For example: Standard, Gold, Platinum, etc. The binCardCategory for prepaid cards is marked `PREPAID`.
        - `binCardIssuer` (string, optional) — The name of the financial institution that issued the card.
        - `binCardIssuerCountry` (string, optional) — The issuing financial institution's country name.
        - `binCardIssuerCountryCodeA2` (string, optional) — The issuing financial institution's two-character ISO country code. See [this resource](https://www.iso.org/obp/ui/#search) for a list of codes.
        - `binCardIssuerCountryNumber` (string, optional) — The issuing financial institution's ISO standard numeric country code. See [this resource](https://www.iso.org/obp/ui/#search) for a list of codes.
        - `binCardIsRegulated` (string, optional) — Indicates whether the card is regulated.
        - `binCardUseCategory` (string, optional) — The use category classification for the card.
        - `binCardIssuerCountryCodeA3` (string, optional) — The issuing financial institution's three-character ISO country code. See [this resource](https://www.iso.org/obp/ui/#search) for a list of codes.
      - `ABA` (string, required, nullable)
      - `PostalCode` (string, required, nullable)
      - `MethodType` (string, required, nullable)
      - `WalletType` (string, required, nullable) — Digital wallet type if applicable.
      - `LastUpdated` (datetime, required, nullable)
      - `CardUpdatedOn` (datetime, required, nullable) — Date and time the card was last updated.
  - `billData` (list of object, optional) — Bills associated with the payout subscription.
    - `invoiceDate` (date, required, nullable) — Bill date in format YYYY-MM-DD or MM/DD/YYYY.
    - `dueDate` (date, required, nullable) — Bill due date in format YYYY-MM-DD or MM/DD/YYYY.
    - `billId` (long, optional) — Bill ID in Payabli.
    - `LotNumber` (string, optional, nullable) — Lot number associated with the bill.
    - `AccountingField1` (string, optional) — Optional custom field.
    - `AccountingField2` (string, optional) — Optional custom field.
    - `Terms` (enum, optional) — Description of payment terms.
      - Allowed values: `PIA`, `CIA`, `UR`, `NET10`, `NET20`, `NET30`, `NET45`, `NET60`, `NET90`, `EOM`, `MFI`, `5MFI`, `10MFI`, `15MFI`, `20MFI`, `2/10NET30`, `UF`, `10UF`, `20UF`, `25UF`, `50UF`
    - `AdditionalData` (string, optional) — Custom dictionary of key:value pairs. You can use this field to store any data related to the object or for your system. Example usage: ```json { "additionalData": { "key1": "value1", "key2": "value2", "key3": "value3" } } ```
    - `attachments` (list of object, optional) — Bill image attachment. Send the bill image as Base64-encoded string, or as a publicly accessible link. For full details on using this field with a payout authorization, see [the documentation](/developers/developer-guides/pay-out-manage-payouts).
      - `fContent` (string, optional) — Content of file, Base64-encoded. Ignored if `furl` is specified. Max upload size is 30 MB.
      - `filename` (string, optional) — The name of the attached file.
      - `ftype` (enum, optional) — The MIME type of the file (if content is provided).
        - Allowed values: `pdf`, `doc`, `docx`, `jpg`, `jpeg`, `png`, `gif`, `txt`
      - `furl` (string, optional) — Optional URL provided to show or download the file remotely.
    - `invoiceNumber` (string, optional) — Custom number identifying the bill. Must be unique in paypoint. **Required** for new bill and when `billId` isn't provided.
    - `netAmount` (string, optional) — Net Amount owed in bill. Required when adding a bill.
    - `comments` (string, optional) — Any comments about bill. **For managed payouts, this field has a limit of 100 characters**.
    - `identifier` (string, optional, nullable) — Custom identifier for the bill.
    - `discount` (string, optional) — Bill discount amount.
    - `totalAmount` (string, optional, nullable) — Total amount of the bill.
  - `externalPaypointID` (string, optional) — A custom identifier for the paypoint, if applicable.
  - `method` (string, optional) — The payout subscription's payment method.
  - `paypointId` (long, optional) — The paypoint's ID. Note that this is different than the entryname.
  - `totalAmount` (double, optional) — The payout subscription amount, including any fees.
  - `netAmount` (double, optional) — The payout subscription amount, minus any fees.
  - `feeAmount` (double, optional) — Fee applied to the payout subscription.
  - `paymentData` (object, optional)
    - `AccountExp` (string, optional) — Expiration date of card used in transaction.
    - `accountId` (string, optional) — Custom identifier for payment connector.
    - `AccountType` (string, optional) — Bank account type or card brand.
    - `AccountZip` (string, optional) — ZIP code for card used in transaction.
    - `binData` (object, optional) — Object containing information related to the card. This object is `null` unless the payment method is card. If the payment method is Apple Pay, the binData will be related to the DPAN (device primary account number), not the card connected to Apple Pay.
      - `binMatchedLength` (string, optional) — The number of characters from the beginning of the card number that were matched against a Bank Identification Number (BIN) or the Card Range table.
      - `binCardBrand` (string, optional) — The card brand. For example, Visa, Mastercard, American Express, Discover.
      - `binCardType` (string, optional) — The type of card: `Credit` or `Debit`. Case can vary between processors, so compare this value case-insensitively.
      - `binCardCategory` (string, optional) — The category of the card, which indicates the card product. For example: Standard, Gold, Platinum, etc. The binCardCategory for prepaid cards is marked `PREPAID`.
      - `binCardIssuer` (string, optional) — The name of the financial institution that issued the card.
      - `binCardIssuerCountry` (string, optional) — The issuing financial institution's country name.
      - `binCardIssuerCountryCodeA2` (string, optional) — The issuing financial institution's two-character ISO country code. See [this resource](https://www.iso.org/obp/ui/#search) for a list of codes.
      - `binCardIssuerCountryNumber` (string, optional) — The issuing financial institution's ISO standard numeric country code. See [this resource](https://www.iso.org/obp/ui/#search) for a list of codes.
      - `binCardIsRegulated` (string, optional) — Indicates whether the card is regulated.
      - `binCardUseCategory` (string, optional) — The use category classification for the card.
      - `binCardIssuerCountryCodeA3` (string, optional) — The issuing financial institution's three-character ISO country code. See [this resource](https://www.iso.org/obp/ui/#search) for a list of codes.
    - `HolderName` (string, optional) — The cardholder name.
    - `Initiator` (string, optional) — The transaction's initiator. Indicates who initiated the transaction.
    - `MaskedAccount` (string, optional) — Masked card or bank account used in transaction. In the case of Apple Pay, this is a masked DPAN (device primary account number).
    - `orderDescription` (string, optional) — Text description of the transaction.
    - `paymentDetails` (object, optional) — Details about the payment.
      - `totalAmount` (double, required) — Total amount to be charged. If a service fee is sent, then this amount should include the service fee."
      - `categories` (list of object, optional) — Array of payment categories/line items describing the amount to be paid. **Note**: These categories are for information only and aren't validated against the total amount provided.
        - `amount` (double, required) — Price/cost per unit of item or category.
        - `label` (string, required) — Name of item or category.
        - `description` (string, optional) — Description of item or category
        - `qty` (integer, optional, default: 1) — Quantity of item or category
      - `checkImage` (map from string to any, optional) — Object containing image of paper check.
      - `checkNumber` (string, optional) — A check number to be used in the ach transaction. **Required** for payment method = 'check'.
      - `currency` (string, optional) — The currency for the transaction, `USD` or `CAD`. If your paypoint is configured for CAD, you must send the `CAD` value in this field, otherwise it defaults to USD, which will cause the transaction to fail.
      - `serviceFee` (double, optional) — Service fee to be deducted from the total amount. This amount must be a number, percentages aren't accepted. If you are using a percentage-based fee schedule, you must calculate the value manually.
      - `splitFunding` (list of object, optional) — Split funding instructions for the transaction. See [Split a Transaction](/developers/developer-guides/money-in-split-funding) for more.
        - `accountId` (string, optional) — The accountId for the account the split should be sent to.
        - `amount` (double, optional) — Amount from the transaction to send to this recipient.
        - `description` (string, optional) — A description for the split.
        - `recipientEntryPoint` (string, optional) — The entrypoint the split should be sent to.
      - `checkUniqueId` (string, optional) — Unique identifier for a processed check image. Required for RDC (Remote Deposit Capture) transactions where `achCode` is `BOC`. Use the `id` value from the [check processing](/developers/api-reference/moneyin/check-capture) response.
    - `Sequence` (string, optional) — The order of the transaction for cardholder-initiated transaction (CIT) and merchant-initiated transaction (MIT) purposes. This field is automatically detected and populated by Payabli. Available values: - `first`: The first use of the payment method. This is almost always a cardholder-initiated transaction. - `subsequent`: For merchant-initiated transactions after the first use of the payment method. See [Understanding CIT and MIT Indicators](/guides/pay-in-transactions-cit-mit-overview) for more information.
    - `SignatureData` (string, optional)
    - `StoredId` (string, optional) — Identifier of stored payment method used in transaction.
    - `StoredMethodUsageType` (string, optional) — **Strongly recommended.** The usage type for the stored method, used for merchant-initiated transactions (MIT). If you don't specify a value, Payabli defaults to `unscheduled`. Available values: - `unscheduled`: One-time or otherwise not pre-scheduled. - `subscription`: Subscription payments. For example, monthly rental fees or ongoing service subscriptions. - `recurring`: Recurring payments per a set plan. For example, splitting an HOA special assessment over 6 monthly payments. See [Understanding CIT and MIT Indicators](/guides/pay-in-transactions-cit-mit-overview) for more information.
  - `frequency` (string, optional) — The payout subscription's frequency.
  - `totalCycles` (integer, optional) — The total number of cycles the payout subscription is set to run.
  - `leftCycles` (integer, optional) — The number of cycles the payout subscription has left.
  - `entrypageId` (long, optional) — If applicable, the internal reference ID to the payment page associated with the transaction.
  - `untilCancelled` (boolean, optional) — When `true`, the payout subscription has no explicit end date and runs until canceled.
  - `lastUpdated` (datetime, optional) — The last date and time the payout subscription was updated.
  - `createdAt` (datetime, optional) — Timestamp of when the payout subscription was created, in UTC.
  - `paypointLegalname` (string, optional) — The paypoint's legal name.
  - `paypointDbaname` (string, optional) — The paypoint's DBA name.
  - `paypointEntryname` (string, optional) — The paypoint's entryname.
  - `parentOrgName` (string, optional) — The name of the parent organization.
  - `parentOrgId` (long, optional) — The ID of the org's parent organization.
  - `source` (string, optional) — Custom identifier to indicate the transaction or request source.

## Examples

**Response**

```json
{
  "responseText": "Success",
  "isSuccess": true,
  "responseData": {
    "startDate": "2025-09-01T00:00:00Z",
    "endDate": "2026-09-01T00:00:00Z",
    "nextDate": "2025-10-01T00:00:00Z",
    "lastRun": "2025-09-01T06:00:00Z",
    "idOutSubscription": 42,
    "status": 1,
    "events": [
      {
        "description": "TransferCreated",
        "eventTime": "2025-09-01T06:00:00Z",
        "extraData": null,
        "refData": "refData",
        "source": "api"
      }
    ],
    "vendor": {
      "VendorNumber": "VEN-123",
      "Name1": "Herman's Coatings",
      "Name2": "Herman's Coating Supply Company, LLC",
      "EIN": "123456789",
      "Phone": "2125551234",
      "Email": "example@email.com",
      "RemitEmail": null,
      "Address1": "123 Ocean Drive",
      "Address2": "Suite 400",
      "City": "Bristol",
      "State": "GA",
      "Zip": "31113",
      "Country": "US",
      "Mcc": "7777",
      "LocationCode": "LOC123",
      "Contacts": [
        {
          "ContactName": "Eric Martinez",
          "ContactEmail": "eric@martinezcoatings.com",
          "ContactTitle": "Owner",
          "ContactPhone": "5555555555"
        }
      ],
      "BillingData": {
        "id": 123456,
        "nickname": "Main Checking Account",
        "bankName": "Example Bank",
        "routingAccount": "123456789",
        "accountNumber": "9876543210",
        "typeAccount": "Checking",
        "bankAccountHolderName": "John Doe",
        "bankAccountHolderType": "Business",
        "bankAccountFunction": 2,
        "verified": true,
        "status": 1,
        "services": [],
        "default": true,
        "accountId": "bank-account-001"
      },
      "PaymentMethod": null,
      "VendorStatus": 1,
      "VendorId": 456,
      "EnrollmentStatus": null,
      "Summary": {
        "ActiveBills": 2,
        "PendingBills": 4,
        "InTransitBills": 3,
        "PaidBills": 18,
        "OverdueBills": 1,
        "ApprovedBills": 5,
        "DisapprovedBills": 1,
        "TotalBills": 34,
        "ActiveBillsAmount": 1250.75,
        "PendingBillsAmount": 2890.5,
        "InTransitBillsAmount": 1675.25,
        "PaidBillsAmount": 15420.8,
        "OverdueBillsAmount": 425,
        "ApprovedBillsAmount": 3240.9,
        "DisapprovedBillsAmount": 180,
        "TotalBillsAmount": 25083.2
      },
      "PaypointLegalname": "Sunshine Services, LLC",
      "PaypointDbaname": "Sunshine Gutters",
      "PaypointEntryname": "d193cf9a46",
      "ParentOrgName": "PropertyManager Pro",
      "ParentOrgId": 1000,
      "CreatedDate": "2022-07-01T15:00:01Z",
      "LastUpdated": "2022-07-01T15:00:01Z",
      "remitAddress1": "123 Walnut Street",
      "remitAddress2": "Suite 900",
      "remitCity": "Miami",
      "remitState": "FL",
      "remitZip": "31113",
      "remitCountry": "US",
      "payeeName1": "payeeName1",
      "payeeName2": "payeeName2",
      "customField1": "",
      "customField2": "",
      "customerVendorAccount": "123-456",
      "InternalReferenceId": 1000000,
      "PaymentPortalUrl": "https://greenfield-landscaping.com/pay",
      "CardAccepted": "yes",
      "AchAccepted": "unable to determine",
      "EnrichmentStatus": "fully_enriched",
      "EnrichedBy": "web_search",
      "EnrichedAt": "2026-03-05T14:22:10Z",
      "EnrichmentId": "enrich-3890-a1b2c3d4",
      "additionalData": null,
      "externalPaypointID": "Paypoint-100",
      "StoredMethods": []
    },
    "billData": [
      {
        "invoiceDate": "2025-08-01",
        "dueDate": "2025-08-15",
        "billId": 54323,
        "invoiceNumber": "INV-2345",
        "netAmount": "500"
      }
    ],
    "externalPaypointID": "d193cf9a46-10",
    "method": "ach",
    "paypointId": 3040,
    "totalAmount": 500,
    "netAmount": 500,
    "feeAmount": 0,
    "paymentData": {
      "AccountType": "checking",
      "HolderName": "Herman Coatings",
      "Initiator": "merchant",
      "MaskedAccount": "XXXXXX5666",
      "paymentDetails": {
        "totalAmount": 500,
        "currency": "USD",
        "serviceFee": 0
      },
      "Sequence": "subsequent",
      "StoredMethodUsageType": "recurring"
    },
    "frequency": "monthly",
    "totalCycles": 12,
    "leftCycles": 11,
    "entrypageId": 0,
    "untilCancelled": false,
    "lastUpdated": "2025-08-01T12:00:00Z",
    "createdAt": "2025-08-01T12:00:00Z",
    "paypointLegalname": "Sunshine Services, LLC",
    "paypointDbaname": "Sunshine Gutters",
    "paypointEntryname": "d193cf9a46",
    "parentOrgName": "PropertyManager Pro",
    "parentOrgId": 236,
    "source": "api"
  }
}
```

**SDK Code**

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient();
    await client.payoutSubscription.getPayoutSubscription(42);
}
main();

```

```python
from payabli import payabli

client = payabli()

client.payout_subscription.get_payout_subscription(
    id=42,
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliApiClient;

public class Example {
    public static void main(String[] args) {
        PayabliApiClient client = PayabliApiClient
            .builder()
            .build();

        client.payoutSubscription().getPayoutSubscription(42L);
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new

client.payout_subscription.get_payout_subscription(id: 42)

```

```csharp
using PayabliApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new PayabliApiClient();

        await client.PayoutSubscription.GetPayoutSubscriptionAsync(
            42L
        );
    }

}

```

```go
package example

import (
    context "context"

    client "github.com/payabli/sdk-go/client"
)

func do() {
    client := client.NewClient()
    client.PayoutSubscription.GetPayoutSubscription(
        context.TODO(),
        int64(42),
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;

$client = new PayabliClient(
    clientId: 'YOUR_CLIENT_ID',
    clientSecret: 'YOUR_CLIENT_SECRET',
);
$client->payoutSubscription->getPayoutSubscription(
    42,
);

```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/PayoutSubscription/42")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```